
%define name0 dosbox

Name: %name0-russian
Version: 0.2
Release: alt1
Summary: Russian docs, fonts, language file and other stuff for DOSBox
License: GPL
Group: Emulators
Url: http://ilya-evseev.narod.ru/posix/dosbox

%define myconfdir   %_sysconfdir/%name0
%define mydatadir   %_datadir/%name0
%define myfontdir   %mydatadir/fonts
%define mydocdir    %_defaultdocdir/%name-%version
%define man1dir_ru  %_mandir/ru/man1

%define myconffile  %name0.conf.ru
%define mylangfile  %name0.lang.ru

%define docbook_xsl /usr/share/xml/docbook/xsl-stylesheets/html/docbook-koi8-r.xsl
%define docbook_man /usr/share/xml/docbook/xsl-stylesheets/manpages/docbook.xsl

Source1: cyr8x8.fnt
Source2: cyr8x16.fnt
Source3: %myconffile
Source4: %mylangfile
Source5: %name0-manuals-ru.xml
Source6: %name.skel

BuildArch: noarch

Requires: %name0 >= 0.62-alt4
BuildPreReq: xsltproc, docbook-dtds, docbook-style-xsl

Summary(ru_RU.KOI8-R):  ,      DOSBox

#-----------------------------------------------------------------------

%description

This package provides russian translations of various DOSBox-related files:
  * manual pages of dosbox and dosbox-install commands,
  * language file that contains messages for displaying in DOS sessions
    and comments added to configuration file when it's generated
    by "config -writeconf" command,
  * cyrillic fonts 8x8 and 8x16 for codepage 866
    for loading in DOS session on startup.
    
The last one gives you immediate cyrillic support
without additional DOS-based drivers.

%description -l ru_RU.KOI8-R

    ,  DOSBox  ""   -.
   :
  * man- dosbox  dosbox-install,
  *  dosbox.lang   ,   DOS-
         
        "config -writeconf",
  *   8x8  8x16   866,
  *  ,   DOSBox   .

 , DOSBox       
  ,      DOS-.

#-----------------------------------------------------------------------

%files
%_bindir/%name
%man1dir_ru/%name0.*
%man1dir_ru/%name0-install.*
%mydocdir
%myfontdir/cyr*.fnt
%config %myconfdir/%{name0}*.ru

# empty %prep

# empty %build

%install
# Wrapper
%__install -pD %SOURCE6 %buildroot%_bindir/%name

# Configs
%__mkdir_p %buildroot%myconfdir/
%__install -pm644 %SOURCE4 %buildroot%myconfdir/

# Fonts
%__mkdir_p %buildroot%myfontdir/
%__install -pDm644 %SOURCE1 %SOURCE2 %buildroot%myfontdir/

# Manual pages
%__mkdir_p %buildroot%man1dir_ru
cd %buildroot%man1dir_ru
xsltproc --xinclude --stringparam chunker.output.encoding "KOI8-R" %docbook_man %SOURCE5
cd -

# Documentation
%__mkdir_p %buildroot%mydocdir
xsltproc -o %buildroot%mydocdir/`basename %SOURCE5 .xml`.html %docbook_xsl %SOURCE5

%post
/usr/sbin/update-alternatives --install %_bindir/%name0 %name0 %_bindir/%name 40

%postun
/usr/sbin/update-alternatives --remove %name0 %_bindir/%name
/usr/sbin/update-alternatives --auto   %name0

%changelog
* Mon Oct  4 2004 Ilya Evseev <evseev@altlinux.ru> 0.2-alt1
- added %name wrapper, startup script is registered using alternatives
- todo: startup script skeleton should contain macros instead of hardcoded paths!

* Fri Jul 23 2004 Ilya Evseev <evseev@altlinux.ru> 0.1-alt1
- initial build, separated from base dosbox package

## EOF ##
